{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/10.02/aa-1002-after-01-aa-deposit_package_tariff.p
  Doel: converteren van de AA-database van 10.01 naar 10.02
        
  Programmeur: Simon Roest
               (c)Softpak BV
  Datum: 30/03/2010

  Vanaf versie 10.02 is het mogelijk om voor verschillende periodes
  verschillende tarieven in te voeren voor de voorkomende verpakkings-
  codes in de pallet administratie. iervoor is een nieuwe tabel
  toegevoegd en zijn de velden currencycode en amount verplaatst naar
  deze nieuwe tabel aa-deposit_package_tariff. Dit conversieprogramma
  maakt voor alle verpakkingscodes een initieel record aan met de
  currencycode en amount uit het verpakkingsrecord zelf op de eerst
  voorkomende datum van deze verpakkingscode.
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.
DEF VAR iModulo                       AS INT  NO-UNDO.

ASSIGN cProgram =  "aa-1002-after-01-aa-deposit_package_tariff.p"
       iModulo  =  1.  /* om het record info tonen, het zullen er nooit veel zijn */

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



DISABLE TRIGGERS FOR LOAD OF aa-deposit_package_tariff.

DO TRANSACTION:
  ASSIGN cAction  = "Converteren Shipment Details"
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  FOR EACH aa-deposit_package
           NO-LOCK:
  
    iDone = iDone  + 1.
    IF iDone MODULO iModulo = 0 THEN RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

    FIND FIRST aa-deposit_transaction WHERE
               aa-deposit_transaction.companycode = aa-deposit_package.companycode AND
               aa-deposit_transaction.packagecode = aa-deposit_package.packagecode
               USE-INDEX aa-deposit_transaction
               NO-LOCK NO-ERROR.

    CREATE aa-deposit_package_tariff.
    ASSIGN aa-deposit_package_tariff.companycode  = aa-deposit_package.companycode
           aa-deposit_package_tariff.packagecode  = aa-deposit_package.packagecode
           aa-deposit_package_tariff.ordernr      = 1
           aa-deposit_package_tariff.dt_starting  = (IF AVAILABLE aa-deposit_transaction
                                                     THEN aa-deposit_transaction.dt_transaction
                                                     ELSE TODAY)
           aa-deposit_package_tariff.currencycode = aa-deposit_package.currencycode
           aa-deposit_package_tariff.amount       = aa-deposit_package.amount.
  END.
END.

RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
